2013.0/Beta : Différence entre versions

De Wiki [fr] OpenMandriva
Aller à : navigation, rechercher
(Changes to Hardware Support)
(+ en link)
Ligne 169 : Ligne 169 :
 
<!-- keep the Category on the bottom -->
 
<!-- keep the Category on the bottom -->
 
[[Category:2013.0]]
 
[[Category:2013.0]]
 +
[[en:2013.0/Beta]]

Version du 29 octobre 2013 à 15:40

G4228.png


Info.png
Traduction en cours

2013.0 Beta


Les équipes OpenMandriva Cooker & QA sont heureux de vous annoncer la disponibilité de la beta 2013.0 !

Quelques-uns des changements que l'OS a subi depuis Mandriva Linux 2011 sont détaillés.

C'est une beta, non destinée pour des environnements en production. Elle a subi quelques tests et est considérée comme stable. Cependant, il ya encore quelques bugs. Vous aurez été prévenu.

Vous pouvez consulter les Errata, situés en bas de cette page.

Médias disponibles

La 2013.0 bêta est disponible en médias DVD live, téléchargeables au format ISO. Ils sont disponibles sur notre page de téléchargements.

Média Live signifie que vous êtes en mesure d'exécuter OpenMandriva Lx directement à partir du DVD et de l'essayer avant de l'installer. Vous pouvez également installer le système sur le disque dur soit à partir du live cd ou du gestionnaire de démarrage.

Matériels recommandés

Veuillez noter que les exigences matérielles recommandées ont changé ; Pour lancer la distribution, nous recommandons 1 Go de mémoire (min 640 Mo), au moins 10 Go d'espace sur le disque dur (voir ci-dessous pour les problèmes connus avec le partitionnement), et pour de meilleures performances une carte graphique adaptée avec accélération 3D. Des versions existent pour les architectures i586 et x86_64.

Démarrer à partir de l'USB

Il est possible de démarrer cette version à partir de l'USB. Vous pouvez utiliser Fedora's LiveUSB Creator avec un téléchargement de l'ISO pour votre système pour rendre votre USB bootable. Une capacité d'au moins 2 Go de disque flash est recommandée. Du stockage persistant n'est pas nécessaire. Notez que ceci effacera tout sur votre clé USB !

Démarrer avec KVM

S'il vous plait, utilisez le pilote vidéo QXL ou VMWare pour éviter les problèmes de démarrage OpenMandriva LX avec un noyau 3.11.5 ou supérieur.

Démarrer avec VirtualBox

S'il vous plait, notez qu'il y a une exigence accrue en mémoire pour démarrer avec succès dans ce gestionnaire de VM. La machine virtuelle doit être configurée avec un minimum de 1536 Mo.

Nouvelles fonctionnalités et changements majeurs

L'introduction d'OpenMandriva 2013.0 représente une importante mise à jour de la version précédente de Mandriva. Il s'agit de la première sortie sous le nouveau nom, ' OpenMandriva Lx ' , et est également la première sortie par la communauté de l'Association OpenMandriva. Dans cet esprit, voici quelques-unes des nouvelles fonctionnalités :

KDE 4.11

KDE 4.11 fournit un bureau unifié et épuré pour OpenMandriva. Il a tous les outils nécessaires pour être productif tout en offrant un environnement agréable et fonctionnel.

Cette bêta propose une installation de KDE 4.11 avec ' quatre lanceurs ': Lancelot, le KDE traditionnel Kicks / KMenu, SimpleWelcome de Rosa, et le lanceur Homerun. Nous aimerions des retours d'information sur ce qui devrait être la valeur par défaut dans la version finale 2013.0, donc s'il vous plaît pensez à exprimer vos préférences sur le forum OpenMandriva à http://forums.openmandriva.org/ !

Mise à jour vers 2013.0

Une mise à niveau entre les versions de Mandriva peut toujours potentiellement causer des problèmes. La mise à niveau est prise en charge et nous faisons des tests de mises à niveau, mais en raison de la vaste gamme de paquets et de configurations matérielles possibles, chaque cas étant une situation particulière, la mise à niveau peut provoquer un problème que nous n'avions pas prévu. Par conséquent, nous vous recommandons de toujours sauvegarder votre système avant la mise à niveau.

Une mise à niveau entre versions d'OpenMandriva devrait être moins problématique dans le futur.

En particulier, la mise à niveau entre les paquets basés MDV et ceux basés OMV peut causer des problèmes.

Mise à niveau à partir de 2011.0

Nous ne proposons pas pour le moment de méthode officielle pour mettre à jour à partir de l'interface graphique, car notre outil n'est pas encore prêt.

Avec les réserves mentionnées ci-dessus, vous pouvez toujours effectuer cette mise à niveau en ligne de commande. Pour ce faire, vérifiez d'abord que votre système est entièrement mis à jour avec les dernières mises à jour pour votre version actuelle de la distribution (en utilisant soit MandrivaUpdate, Mandriva Online ( Applet Mandriva de notification de mise à jour) ou urpmi - auto- update} } .

Puis retirez vos dépôts existants, soit en utilisant l'outil graphique de configuration des dépôts ou urpmi.removemedia . urpmi.removemedia -a va supprimer tous les dépôts. Ensuite, vous devez ajouter les dépôts pour cette version. Exécutez la commande suivante :

urpmi.addmedia - distrib - mirrorlist ' http://downloads.openmandriva.org/mirrors/openmandriva.2013.0.ARCH.list '

Remplacez ARCH avec votre architecture, par exemple, i586 ou x86_64 .

Ensuite, exécutez les commandes suivantes en tant que root :

urpmi --auto --auto-select --replacefiles 2>&1 | tee upgrade.log

Vous pouvez voir une erreur "unknown option --replacefiles" lorsque vous exécutez cette première commande, mais ne vous inquiétez pas, c'est normal : les anciennes versions urpmi n'ont pas cette option, mais notre urpmi le fait, et ce sera transmis à notre urpmi lorsque le processus urpmi sera redémarré après que le paquet ait été mis à jour. Cela permettra de sauver la sortie du processus dans le fichier upgrade.log, au cas où vous auriez besoin de vérifier ultérieurement, ou si vous avez des soucis. Une fois le processus terminé, vous devez redémarrer immédiatement, et vous devez constater que le système a été entièrement mis à jour pour cette version.

Indisponible

DrakX Installer

DrakX Installer n'est pas inclus dans cette version. Nous espérons l'inclure (ou un nouveau installer qui apportera les mêmes fonctions) dans les versions ultérieures.

Modifications sur le support matériel

Support graphique

Le support graphique a été amélioré avec les derniers pilotes.

cartes graphiques NVIDIA

Sachez que les anciennes cartes graphiques de la série FX et précédentes ne sont pas correctement supportées par l'outil de configuration Xorg drakx, ceci est actuellement sous investigation. Les anciens pilotes sont disponibles à partir des dépôts OpenMandriva et devraient être installés directement avec urpmi : your mileage may vary. The reverse engineered nouveau driver gives moderately good support for these older cards.

ATI Graphics Cards

The latest ATI graphics cards are supported; however, we have not had any concrete feedback about its usage. Your mileage may vary.

Intel Graphics Cards

Intel graphics cards should be supported with the latest kernel we have, including newer 4th generation Intel graphics cards.

Misc.

We have not had any other feedback from users.

Ethernet Support

The kernel upgrade to 3.11.5 has enabled much more support, including new ethernet drivers and improved existing drivers, such as Atheros ethernet chips (alx).

Changes with Installation

Unused Hardware & Language Removal

Previously, when running the installer, you would not be prompted to remove any hardware or languages that the system did not use. However, this did lead to numerous false-positives (and even in some cases, destruction of the installed system). We have disabled the removal step until the problem can be remedied or a choice given to the user (unselected by default).

Changes with the DrakX suite of tools

N/A

Changes to Software Support

Booting with systemd

Switching runlevels has changed. Instead of adding the target runlevel, as before, there are now specific boot options. Namely, the following options must be appended to the kernel command line:

  • Rescue Mode: systemd.unit=rescue.target
  • Text Mode: systemd.unit=multi-user.target
  • Graphical Mode: systemd.unit=graphical.target

Other Changes

Please note that Kernel-3.11.5 is provided. This kernel has a small change to the API which makes it incompatible with versions of VirtualBox prior to 4.3 (The kernel modules will not build). The Open Source version VirtualBox-4.3 is available from the OpenMandriva repositories.

Errata

As this is a beta, there are still issues and bugs that have not been resolved. This page attempts to document the ones that may cause inconvenience.

Update tool tries to add Cooker repositories

The update tool, MandrivaUpdate, will attempt to add repositories that are not for 2013.0; instead, it will try to add Cooker repositories and expose your system to unnecessary updates.

Workaround: Open Install & Remove Software (or rpmdrake), and from the menu, open the Media Manager and click Add. This will add the proper repositories. Then, check periodically for updates. MandrivaUpdate will be usable after this workaround.

Usage of Mandriva in System Tools

There are still usages of Mandriva in the system tools. They are being remedied.

Workaround: Check for updates periodically, and report bugs for any occurrences that you still see.

Partitioning with Small Disks

When using the custom partitioning tool to divide up the hard disk/s be aware that there is a minimum size requirement for the partition that contains the /usr directory of at least 4.0Gb. If the partition is made smaller that this the partition manager will not function correctly.

Workaround: If you receive an error message stating that the partition is smaller than the minimum requirement then do not try to resize it as this will fail; instead, use the auto-allocate function which will automatically create a partitioning scheme for you, which you may then delete or change to suit your own requirements. This will clear the error.

Advanced Partitioner

If you select reiserfs in the advanced partitioner, upon reboot, dracut will fail to mount the partitions due to a lack of a reiserfs module.

Workaround: Sadly, there is none at this current time. This is planned to be addressed in a future update.

Printing with HP USB Printers

There was a known communication error between OpenMandriva Lx and HP printers connected via USB. Anything sent to print would fail as a "device communication error".

Workaround: Update your system to the latest packages, which has been confirmed to fix this problem.

vboxadditions

Due to a recent API change, 4.2.x series of vboxadditions will not work. Instead, use 4.3.x series which is known to work with this release. Bug 204

Contact, Bug Reporting, Discussion

You are invited to discuss this release on our forums (forums.openmandriva.org). Support is also available in the development channels via email (http://ml.openmandriva.org/listinfo.cgi). We are also on IRC.

Please report bugs to our bugtracker (issues.openmandriva.org). Please give as much information as you can in your report.

Helping the Project

As always, the OpenMandriva development teams (Cooker & QA) are always looking for contributors to assist in bugfixing, and so we invite you to join us and help tackle issues that might arise!

Also, the OpenMandriva Workshop, which contains Artwork, Documentation, and Communication teams, is always open to new submissions for artwork and translations!

See our wiki (wiki.openmandriva.org) for more details, and to learn how to join!.